<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_CruiseRequiredFields StructType
 * @subpackage Structs
 */
class JP_CruiseRequiredFields extends AbstractStructBase
{
    /**
     * The CruiseBooking
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_CruiseBooking
     */
    public $CruiseBooking;
    /**
     * Constructor method for JP_CruiseRequiredFields
     * @uses JP_CruiseRequiredFields::setCruiseBooking()
     * @param \StructType\JP_CruiseBooking $cruiseBooking
     */
    public function __construct(\StructType\JP_CruiseBooking $cruiseBooking = null)
    {
        $this
            ->setCruiseBooking($cruiseBooking);
    }
    /**
     * Get CruiseBooking value
     * @return \StructType\JP_CruiseBooking|null
     */
    public function getCruiseBooking()
    {
        return $this->CruiseBooking;
    }
    /**
     * Set CruiseBooking value
     * @param \StructType\JP_CruiseBooking $cruiseBooking
     * @return \StructType\JP_CruiseRequiredFields
     */
    public function setCruiseBooking(\StructType\JP_CruiseBooking $cruiseBooking = null)
    {
        $this->CruiseBooking = $cruiseBooking;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_CruiseRequiredFields
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
